
limits = [1.2, 1000,Inf]; %Solution Min,Max, MaxVelocity
max_delay_allowed = 0.1*10^-9;

evalFun=get_eval_inv(limits,max_delay_allowed);

steps = limits(1):1:limits(2);

evals = nan(3,length(steps),length(steps));

for iiP=1:length(steps)
    W_p = steps(iiP);
    for iiN=1:length(steps)
        W_n = steps(iiN);
        score = evalFun([W_p, W_n]);
        evals(:,iiP,iiN) = [W_p; W_n; score];
    end
end

dlmwrite('Grid_Eval_inverter.csv',evals);



fclose all;