tests = 5;

limits = [1.2, 1000,Inf]; %Solution Min,Max, MaxVelocity
max_delay_allowed = 1.5*10^-9; %Easy=5*10^-9 %Hard:2.5*10^-9;


accel = 2;
inertia = 0.9;
particles = 80;
generations = 4*300;
for i = 1:tests
    fprintf( '\nParams:\nvMax: Inf\nAccel: %f\nInertia: %f\nParticles: %d\n',accel,inertia,particles);
    [Solution, Fitness, gbest_history] = PSO(particles,...
                                             18,...
                                             limits,...
                                             generations,...
                                             get_eval_inv_chain(limits,max_delay_allowed),...
                                             false,...
                                             [inertia,accel]);
        fprintf('Area Test %d: %e\n',i,Fitness);
        filename = sprintf('p_ic_with_params_long_test_%d.csv',i);
        dlmwrite(filename,gbest_history, 'precision', 32);
end


fclose all;