
par_sets = [
    4,16;
    %8,32;
    %16,64;
    %32,128; 
    64,256; 
    %128,512; 
    512, 2048];

figure(1)
clf
hold on


for ii = (1:length(par_sets))
    Ws = par_sets(ii, :);
    res = spice_inverter(Ws);
    hh = subplot(length(par_sets),1,ii);
    hold on
    axis(hh,[0,9e-9, -1, 11])
    xlabel('Time (s)')
    ylabel('Voltage(V)')
    
    plot(res.TIME,res.VOUT, 'b','LineWidth',2);
    plot(res.TIME,res.VIN, 'r','LineWidth',2);
    title(sprintf('Wn=%i, Wp=%i', Ws), 'FontWeight', 'bold');
    
    
   
end

hold off


